Subject: Re: bug#14010: 24.3; builtin libraries that should specify the package

From: Glenn Morris <[email-masked]>
Date: Fri, 14 Mar 2014 03:59:44 -0400

Jonas Bernoulli wrote:

> Jonas Bernoulli wrote:
>>> The packages python, grep, cpp and compile don't appear in
>>> package--builtins because the "Package" header keyword isn't defined
>>> in the respective libraries.  I think it would make sense for these
>>> to be treated as separate packages.
>
> Glenn Morris wrote:
>> But all four do appear in package--builtins?
>
>   (The variable is now called package--builtin-versions.)
>
> python does indeed appear in the value of package--builtin-versions.
> Maybe that was already the case when I originally reported otherwise.
> While python.el still does not define the "Package" header keyword, it
> does define "Version".  And that is enough for it to be considered a
> package (see autoload-generate-file-autoloads).
>
> However grep, cpp and compile still do not appear there.

I don't understand this report.

emacs-24.3 -Q -l finder-inf

(assq 'python package--builtins)
  -> (python . [(0 24 2) nil "Python's flying circus support for Emacs"])

(assq 'grep package--builtins)
  -> (grep . [nil nil "run `grep' and display the results"])

(assq 'cpp package--builtins)
  -> (cpp . [nil nil "highlight or hide text according to cpp conditionals"])

(assq 'compile package--builtins)
  -> (compile . [nil nil "run compiler as inferior of Emacs, parse error messages"])

And the same in current trunk.